flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Martin <windo...@gmail.com>
Subject Re: Flex 4.10.0 Release Status
Date Wed, 31 Jul 2013 00:06:51 GMT
Paul,

I changed version to 4.6.0 in the ..\sdks\4.9.1\flex-sdk-description.xml
file and design view works just fine.  But I don't bank on it all the
time.  Eventually, like Nick, i'll have to re-train my brain and stop using
Design view.  Really a bummer they stopped working on that, it's great for
quickly laying things out and tweeking positions of UI elements without
itterating builds just to see how a 1 pixel adjustment looks.

Chris


On Tue, Jul 30, 2013 at 11:38 AM, Nicholas Kwiatkowski <nicholas@spoon.as>wrote:

> Paul,
>
> Design View is no longer supported for anything that we (Apache) produce.
>  Flash Builder 4.6 and below tied the specific SDK version with a special
> module within the IDE that was used to render the DV.  We don't have the
> ability to patch FB4.6 (esp. since FB 4.7 replaced it, and no longer
> support DV).
>
> Unfortunately, this is one thing that we have no control over.  Adobe was
> very clear that DV was end-of-life as of 4.6.  According to them, they felt
> nobody used it, so it wasn't worth supporting anymore.  (I personally used
> it all the type to lay out my apps before I did any coding, but have since
> retrained my brain to do it via code).
>
> I know some of the other IDEs have taken a stab at doing something like DV
> -- I don't think any of them got very far (IntelliJ has something that
> renders the display in near-realtime, but it is not a click-and-drag type
> of interface like you may be used to).
>
> -Nick
>
>
> On Tue, Jul 30, 2013 at 1:54 PM, Paul Hastings <paul.hastings@gmail.com
> >wrote:
>
> > On 7/30/2013 10:17 PM, Chris Martin wrote:
> >
> >> I use FB 4.6 and I actually have to modify the flex-sdk-description file
> >> to
> >> say 4.6.0 because when it detects newer versions of Flex, it will
> >> forceably
> >> say that the version of flex is not compatible with design view.  Still
> >> trying to get an eye out for an IDE that supports a design view so I can
> >> move off of Flash Builder 4.6
> >>
> >
> > what exactly did you modify? when i simply changed "version" to "4.6.0"
> in
> > that file, the design view button does become enabled but FB only shows a
> > black or light gray screen when you try to use it. if i want a
> functioning
> > design view i have to swap to sdk 4.6.0 (but do that a few times &
> eclipse
> > becomes violently drunk & has to be shut down).
> >
> >
> >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message